> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Sincronizar Anúncios (Worker)

> Envia um job assíncrono para a fila do worker, que varrerá os dados nativos do Marketplace e atualizará todos os anúncios da conexão localmente.

### Body

<ParamField body="connectionId" type="string" required>
  UUID da conexão associada a um marketplace configurado.
</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  {
    "message": "Sincronização iniciada com sucesso. (Job enfileirado)"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml post /listings/sync
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /listings/sync:
    post:
      tags:
        - Listings
      operationId: ListingsController_triggerSync
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerSyncDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    TriggerSyncDto:
      type: object
      properties:
        connectionId:
          type: string

````